using Syntriax.Engine.Core;

namespace Syntriax.Engine.Serialization;

public class EntityReference
{
    public string Id { get; set; } = string.Empty;
    public TypeContainer TypeContainer { get; set; } = new();

    public EntityReference() { }
    public EntityReference(IEntity entity) { TypeContainer = new(entity); Id = entity.Id; }
}
